QwtSetSeriesData(3)

NAME
QwtSetSeriesData - Interface for iterating over an array of samples.

SYNOPSIS

#include <qwt_series_data.h>

Inherits QwtArraySeriesData< QwtSetSample >.

  Public Member Functions
QwtSetSeriesData (const QVector< QwtSetSample > &=QVector< QwtSetSample >())
virtual QRectF boundingRect () const
Calculate the bounding rectangle.

  Additional Inherited Members

Detailed Description

Interface for iterating over an array of samples.

Constructor & Destructor Documentation

  QwtSetSeriesData::QwtSetSeriesData (const QVector< QwtSetSample > & samples = QVector<QwtSetSample>())
Constructor

Parameters:
    samples Samples

Member Function Documentation

  QRectF QwtSetSeriesData::boundingRect () const [virtual]

Calculate the bounding rectangle. The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
    Bounding rectangle

Implements QwtSeriesData< QwtSetSample >.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.